LicenseControllerGetLicenseById Method |
GET /License/
Gets a license with the specified ID.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("Index")]
public IActionResult GetLicenseById(
long id,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("Index")>
Public Function GetLicenseById (
id As Long,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"Index")]
IActionResult^ GetLicenseById(
long long id,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("Index")>]
member GetLicenseById :
id : int64 *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemInt64
The ID of the license to get. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
LicenseData object containing the license data, or a status code indicating the problem.
See Also